#
# spec file for package perl-File-Path
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-Path
Version:        2.120000
Release:        1.1
%define cpan_version 2.12
Provides:       perl(File::Path) = 2.120000
%define cpan_name File-Path
Summary:        Create or remove directory trees
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Path/
Source0:        http://www.cpan.org/authors/id/R/RI/RICHE/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provide a convenient way to create directories of arbitrary
depth and to delete an entire directory subtree from the filesystem.

%prep
%setup -q -n %{cpan_name}-%{cpan_version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Oct 10 2015 coolo@suse.com
- updated to 2.12
  see /usr/share/doc/packages/perl-File-Path/Changes
  2.12     2015-10-09
  - RT 105935 Change ERROR HANDLING doc section to be very clear about the
    error handling mechanism for root nodes.
  - RT 105935 Change ERROR HANDLING doc section to remove the EXPERIMENTAL
    note; the error handling mechanism has been in place for several versions.
  2.11_004 2015-10-01
  - RT 105935 Revert change made in 2.10_001 to carp on failure to find root
    directory when performing an rmtree.
  2.11_003 2015-08-03
  - Fix root tests to properly call prereq() -- failed primarily on Windows
    since getpwent/getgrent not implemented on Windows.
  2.11_002 2015-07-25
  - Fix windows refactored tests - missing import and since it's out of
    Path.t the path creation creates 2 directories (t/Path_win32.t)
  - Fix root only tests.  getpwent/getgrent was called twice, causing
    skip_all to trigger and giving impression all tests pass.
  2.11_001 2015-07-24
  - RT 105527 FIX: Move eg/ and author tests from t/Path.t to xt/
  - RT 105935 FIX: Clarify error behavior for rmtree errors on root directory
    (not fixed but documented).  Clarify in documentation the how alike
    rmtree is to 'rm -r'.
  - RT 105977 FIX: Fix INSTALLDIRS for Perl 5.6
  - RT 105986 FIX: Refactor unit tests to better care for test counts
  - RT 106039 FIX: Wrong version in Pod
  - RT 106043 FIX: Suboptimal error message
  - RT 106045 FIX: _run_for_warning does not consume multiple messages
  - RT 106047 FIX: _run_for_verbose cause fail test on 5.6.2
  - Removed optional File::Output usage and run those tests for everyone.
* Mon Sep  7 2015 coolo@suse.com
- extend version
* Sun Jul 19 2015 coolo@suse.com
- updated to 2.11
  see /usr/share/doc/packages/perl-File-Path/Changes
  2.11     2015-07-17
  - Change argument check error from croak to carp since there are some
    dependent modules using non-standard options.  The error check will
    move back to croak when dependent modules have the opportunity to
    correct the argument.
  2.10_005 2015-07-17
  - Better argument checking and reporting of failure for unrecognized
    options.
  - RT 71562 Document automount race condition limitation and workaround
  - RT 99230 Document multithreaded application limitation and that the
    limitation may be removed in a future release.
  2.10_004 2015-07-10
  - Remove use of English.pm since it breaks many older Perls
  - Fix a unit test skip count for users who have not installed
    Test::Output
  2.10_003 2015-07-08
  - Administrative changes to MANIFEST and MANIFEST.SKIP
  - Style changes to Path.pm for easier reading of code
  - Removal of pod.t
  - Use English.pm to make variables like $! more fluent for code readers
  2.10_002 2015-06-26
  - RT 42139.  Add better SKIP test emit for VMS.
  - RT 85360.  Fix typos and better .gitignore and MANIFEST.SKIP settings.
  - RT 51588.  Added patch elements but unable to verify on VMS.
  2.10_001 2015-06-24
  - RT 39949.  Report errors on lstat failure.
  - RT 53178.  Deprecate UNIVERSAL::isa usage
  - RT 70657.  Test added.
  - RT 70938.  Documentation fix for Windows native relative usage
  - RT 72256.  Option added for setting permission (chmod)
  - RT 73840.  Fix taint/untaint bug.
  - RT 95150.  Add CPAN metadata for source tree location.
  - RT 103512. Documentation language fix.
* Fri Jan 17 2014 lars@linux-schulserver.de
- initial package 2.09
